## com.lowagie.text.pdf.codec
Class JBIG2SegmentReader.JBIG2Segment

    java.lang.Object
      com.lowagie.text.pdf.codec.JBIG2SegmentReader.JBIG2Segment

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  JBIG2SegmentReader

    public static class JBIG2SegmentReader.JBIG2Segment

extends java.lang.Object
implements java.lang.Comparable

Inner class that holds information about a JBIG2 segment.

Since:
  2.1.5

Field Summary
`int` `countOfReferredToSegments`
`byte[]` `data`
`long` `dataLength`
`boolean` `deferredNonRetain`
`byte[]` `headerData`
`int` `page`
`int` `page_association_offset`
`boolean` `page_association_size`
`int[]` `referredToSegmentNumbers`
`int` `segmentNumber`
`boolean[]` `segmentRetentionFlags`
`int` `type`

Constructor Summary
`JBIG2SegmentReader.JBIG2Segment(int segment_number)`

Method Summary
`int` `compareTo(JBIG2SegmentReader.JBIG2Segment s)`
`int` `compareTo(java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### segmentNumber

    public final int segmentNumber

### dataLength

    public long dataLength

### page

    public int page

### referredToSegmentNumbers

    public int[] referredToSegmentNumbers

### segmentRetentionFlags

    public boolean[] segmentRetentionFlags

### type

    public int type

### deferredNonRetain

    public boolean deferredNonRetain

### countOfReferredToSegments

    public int countOfReferredToSegments

### data

    public byte[] data

### headerData

    public byte[] headerData

### page_association_size

    public boolean page_association_size

### page_association_offset

    public int page_association_offset

Constructor Detail

### JBIG2SegmentReader.JBIG2Segment

    public JBIG2SegmentReader.JBIG2Segment(int segment_number)

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### compareTo

    public int compareTo(JBIG2SegmentReader.JBIG2Segment s)

Hosted by Hostbasket